Bug 201487 - g++: Internal error: Segmentation fault (program cc1plus)
g++: Internal error: Segmentation fault (program cc1plus)
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-05 23:37 EDT by irina james
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 06:25:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core generated after segmentation fault ; Display (5.25 MB, application/x-gzip)
2006-08-05 23:37 EDT, irina james
no flags Details

  None (edit)
Description irina james 2006-08-05 23:37:25 EDT
Description of problem:
When compiling my event Display which makes use of ROOT GUI (root version
5.08/00) I get the following message:

"g++ -O -Wall -DR__THREAD -fPIC -I/usr/local/root/include -g -pthread
-I/usr/local/root/include -Wno-deprec
ated    -c -o ArgoFrame.o ArgoFrame.cc
g++ -O -Wall -DR__THREAD -fPIC -I/usr/local/root/include -g -pthread
-I/usr/local/root/include -Wno-deprec
ated  -c ArgoDict.cxx
g++ -shared -O ArgoFrame.o ArgoDict.o -o  libArgo.so
libArgo.so done
g++ -O -Wall -DR__THREAD -fPIC -I/usr/local/root/include -g -pthread
-I/usr/local/root/include -Wno-deprec
ated    -c -o argomain.o argomain.C
In file included from /usr/local/root/include/TApplication.h:37,
                 from argomain.C:2:
/usr/local/root/include/TApplicationImp.h:31: internal error: Segmentation
   fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make: *** [argomain.o] Error 1 "

Technical details:
1. gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-42)
2. Scientific Linux 3.0.5
3. root_v5.08.00.Linux.slc3.gcc3.2.3


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 irina james 2006-08-05 23:37:27 EDT
Created attachment 133703 [details]
core generated after segmentation fault ; Display
Comment 2 Jakub Jelinek 2006-08-07 06:25:42 EDT
The "The bug is not reproducible, so it is likely a hardware or OS problem."
message means GCC driver wasn't able to reproduce the problem, so it means
it is not a GCC bug, but rather faulty hardware.  Check your memory, CPU
temperature, motherboard, ...
Comment 3 irina james 2006-08-07 07:20:46 EDT
But in the core generated after the segmentation fault there is the following
message:
"Core was generated by `/usr/lib/gcc-lib/i386-redhat-linux/3.2.3/cc1plus
-I/usr/local/root/include -I/u'" . Is this linked to a hardware problem?




(In reply to comment #2)
> The "The bug is not reproducible, so it is likely a hardware or OS problem."
> message means GCC driver wasn't able to reproduce the problem, so it means
> it is not a GCC bug, but rather faulty hardware.  Check your memory, CPU
> temperature, motherboard, ...

Comment 4 Jakub Jelinek 2006-08-07 07:34:17 EDT
Very likely yes.
GCC driver when it detects some internal error, segfault or similar error
condition from the backend (cc1plus in this case) will try to compile the same
thing 3 times with the exact same options (that has been added to quickly
separate real compiler bugs in the bugreports from hardware issues, which are
quite common).  GCC is a deterministic program,
so if it was a bug in GCC, it would crash the same in all 3 cases, but that's
not what happened in your case.
See e.g. http://www.bitwizard.nl/sig11/ for more info.

Note You need to log in before you can comment on or make changes to this bug.